<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                    <li> <a href="{% url 'show_my_tasks' %}">My tasks</a></li>
                    <li> <a href="{% url 'list_projects' %}">My projects</a></li>
                    <li> <a href="{% url 'logout' %}">Logout</a></li>
                {% else %}
                    <li> <a href="{% url 'login' %}">Login</a></li>
                    <li> <a href="{% url 'signup' %}">Signup</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    {% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            {% if tasks.all %}
            <table>
                <thead>
                    <th>Name</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                </thead>
                <tbody>
                    {% for task in tasks.all %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.start_date }}</td>
                            <td>{{ task.due_date }}</td>
                            <td>{{ task.is_completed|yesno }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
            {% else %}
                <p>You have no tasks</p>
            {% endif %}
        </div>
    </main>
    {% endblock content %}
</body>
</html>